Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Class BAMPattern

    java.lang.Object
      org.encog.neural.pattern.BAMPattern

All Implemented Interfaces:
  NeuralNetworkPattern

    public class BAMPattern

extends Object
implements NeuralNetworkPattern

Construct a Bidirectional Access Memory (BAM) neural network. This neural network type learns to associate one pattern with another. The two patterns do not need to be of the same length. This network has two that are connected to each other. Though they are labeled as input and output layers to Encog, they are both equal, and should simply be thought of as the two layers that make up the net.

Constructor Summary
`BAMPattern()`

Method Summary
`void` | `addHiddenLayer(int count)` Unused, a BAM has no hidden layers.
`void` | `clear()` Clear any settings on the pattern.
`MLMethod` | `generate()` Generate the specified neural network.
`void` | `setActivationFunction(ActivationFunction activation)` Not used, the BAM uses a bipoloar activation function.
`void` | `setF1Neurons(int count)` Set the F1 neurons.
`void` | `setF2Neurons(int count)` Set the output neurons.
`void` | `setInputNeurons(int count)` Set the number of input neurons.
`void` | `setOutputNeurons(int count)` Set the number of output neurons.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAMPattern

    public BAMPattern()

Method Detail

### addHiddenLayer

    public final void addHiddenLayer(int count)

  Unused, a BAM has no hidden layers.

  Specified by:
    `addHiddenLayer` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - Not used.

### clear

    public final void clear()

  Clear any settings on the pattern.

  Specified by:
    `clear` in interface `NeuralNetworkPattern`

### generate

    public final MLMethod generate()

  Description copied from interface: `NeuralNetworkPattern`
  Generate the specified neural network.

  Specified by:
    `generate` in interface `NeuralNetworkPattern`
  Returns:
    The generated network.

### setActivationFunction

    public final void setActivationFunction(ActivationFunction activation)

  Not used, the BAM uses a bipoloar activation function.

  Specified by:
    `setActivationFunction` in interface `NeuralNetworkPattern`
  Parameters:
    `activation` - Not used.

### setF1Neurons

    public final void setF1Neurons(int count)

  Set the F1 neurons. The BAM really does not have an input and output layer, so this is simply setting the number of neurons that are in the first layer.

  Parameters:
    `count` - The number of neurons in the first layer.

### setF2Neurons

    public final void setF2Neurons(int count)

  Set the output neurons. The BAM really does not have an input and output layer, so this is simply setting the number of neurons that are in the second layer.

  Parameters:
    `count` - The number of neurons in the second layer.

### setInputNeurons

    public final void setInputNeurons(int count)

  Set the number of input neurons.

  Specified by:
    `setInputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of input neurons.

### setOutputNeurons

    public final void setOutputNeurons(int count)

  Set the number of output neurons.

  Specified by:
    `setOutputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The output neuron count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.